Eu uso um script de impressão que eu chamo no meu .neomutt/config
com
set print_command="/home/myself/.config/neomutt/print.sh"
Funcionou no passado, mas não tive oportunidade de imprimir e-mail há algum tempo e não está funcionando agora. Eu tenho mexido no script e parece que o neomutt não está passando a mensagem de e-mail com o comando print.
O print.sh
script em si é o seguinte:
#!/bin/bash
input="$1" pdir="$HOME/Desktop" open_pdf=evince
# check to make sure that enscript and ps2pdf are both installed
if ! command -v enscript >/dev/null || ! command -v ps2pdf >/dev/null; then
echo "ERROR: both enscript and ps2pdf must be installed" 1>&2
exit 1
fi
# create temp dir if it does not exist
if [ ! -d "$pdir" ]; then
mkdir -p "$pdir" 2>/dev/null
if [ $? -ne 0 ]; then
echo "Unable to make directory '$pdir'" 1>&2
exit 2
fi
fi
tmpfile="`mktemp $pdir/mutt_XXXXXXXX.pdf`"
enscript --font=Courier8 $input -2r --word-wrap --fancy-header=mutt --encoding=88593 -p - 2>/dev/null | ps2pdf - $tmpfile
$open_pdf $tmpfile >/dev/null 2>&1 &
sleep 1
rm $tmpfile
Se eu adicionar echo "INPUT: $1"
ou echo "INPUT: $input"
, tudo o que vejo quando o comando é executado é INPUT:
. Como posso garantir que o neomutt passe o e-mail real para o <print-message>
comando?